import { axios } from '@/utils/request'

// 重置密码
export const resetPSD = params => {
  return axios({
    url: 'dduser/resetPwd',
    data: params,
    method: 'POST'
  })
}
// 启用禁用
// export const updateEnableStatus = params => {
//   return axios({
//     url: `user/enable/${params.id}/${params.flag}`,
//     data: {},
//     method: 'get'
//   })
// }
// 督导列表
export const getPowerUserList = params => {
  const url = `dduser/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 删除督导用户
export const delectUserPower = params => {
  return axios({
    url: `dduser/delete/${params.id}`,
    data: {},
    method: 'get'
  })
}
// 督导名下已选门店列表
export const getRoleList = params => {
  return axios({
    url: 'dduser/queryUsedStoreList',
    data: params,
    method: 'POST'
  })
}
// 新增/编辑 保存用户
export const saveUserPower = params => {
  return axios({
    url: 'dduser/save',
    data: params,
    method: 'POST'
  })
}
// 解绑 （督导已选门店）
export const deleteUserStore = params => {
  return axios({
    url: 'dduser/deleteUserStore/{id}',
    data: {},
    method: 'get'
  })
}
// 新增门店（督导巡店）
export const saveNewUserStore = params => {
  return axios({
    url: 'dduser/saveUserStore',
    data: params,
    method: 'POST'
  })
}
